@echo off
echo Compiling generators...
javac gen_heap.java
javac gen_random.java
javac gen_rbtree.java
javac add_trash.java
javac shuffle.java
echo Generating test 07...
java -ea gen_random 7 | java -ea shuffle >07
echo Generating test 08...
java -ea gen_random 11 >08
echo Generating test 09...
java -ea gen_heap 13 >09
echo Generating test 10...
java -ea gen_heap 13 | java -ea add_trash 3 | java -ea shuffle >10
echo Generating test 11...
java -ea gen_heap 30 | java -ea add_trash 10 | java -ea shuffle >11
echo Generating test 12...
java -ea gen_rbtree 3 421431121 | java -ea shuffle >12
echo Generating test 13...
java -ea gen_rbtree 4 142314333 | java -ea add_trash 3 | java -ea shuffle >13
echo Generating test 14...
java -ea gen_heap 200 | java -ea shuffle >14
echo Generating test 15...
java -ea gen_random 202 | java -ea shuffle >15
echo Generating test 16...
java -ea gen_random 204 | java -ea add_trash 50 | java -ea shuffle >16
echo Generating test 17...
java -ea gen_rbtree 5 542532113 | java -ea shuffle >17
echo Generating test 18...
java -ea gen_rbtree 5 347398273 | java -ea shuffle >18
echo Generating test 19...
java -ea gen_rbtree 5 432908431 | java -ea shuffle >19
echo Generating test 20...
java -ea gen_rbtree 5 439821080 >20
echo Generating test 21...
java -ea gen_rbtree 5 231908231 | java -ea shuffle >21
echo Generating test 22...
java -ea gen_rbtree 6 129038290 | java -ea shuffle >22
echo Generating test 23...
java -ea gen_random 900 | java -ea add_trash 10 | java -ea shuffle >23
echo Generating test 24...
java -ea gen_random 950 | java -ea shuffle >24
echo Generating test 25...
java -ea gen_random 1000 | java -ea shuffle >25
echo Generating test 26...
java -ea gen_heap 432 | java -ea add_trash 100 | java -ea shuffle >26
echo Generating test 27...
java -ea gen_heap 511 | java -ea shuffle >27
echo Generating test 28...
java -ea gen_heap 654 | java -ea shuffle >28
echo Generating test 29...
java -ea gen_heap 711 | java -ea add_trash 200 | java -ea shuffle >29
echo Generating test 30...
java -ea gen_heap 767 | java -ea add_trash 210 | java -ea shuffle >30
echo Generating test 31...
java -ea gen_heap 800 | java -ea shuffle >31
echo Generating test 32...
java -ea gen_heap 943 | java -ea add_trash 10 | java -ea shuffle >32
echo Generating test 33...
java -ea gen_heap 1000 | java -ea shuffle >33
echo Generating test 34...
java -ea gen_heap 990 | java -ea shuffle >34
